package cn.com.qmth.markingaudit.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import cn.com.qmth.markingaudit.bean.AkInfo;
import cn.com.qmth.markingaudit.bean.ExamDataQuery;
import cn.com.qmth.markingaudit.bean.ExamDataVo;
import cn.com.qmth.markingaudit.bean.InspectDataInfo;
import cn.com.qmth.markingaudit.bean.InspectDataQuery;
import cn.com.qmth.markingaudit.bean.InspectDataVo;
import cn.com.qmth.markingaudit.bean.LoginDataQuery;
import cn.com.qmth.markingaudit.bean.LoginDataVo;
import cn.com.qmth.markingaudit.bean.MarkingScoreDataQuery;
import cn.com.qmth.markingaudit.bean.MarkingScoreDataVo;
import cn.com.qmth.markingaudit.bean.MarkingScoreInfo;
import cn.com.qmth.markingaudit.bean.MarkingScoreOperateInfo;
import cn.com.qmth.markingaudit.bean.QuestionDataQuery;
import cn.com.qmth.markingaudit.bean.QuestionDataVo;
import cn.com.qmth.markingaudit.bean.RejectDataQuery;
import cn.com.qmth.markingaudit.bean.RejectDataVo;
import cn.com.qmth.markingaudit.bean.ScoreDataQuery;
import cn.com.qmth.markingaudit.bean.ScoreDataVo;
import cn.com.qmth.markingaudit.bean.StudentDataQuery;
import cn.com.qmth.markingaudit.bean.StudentDataVo;
import cn.com.qmth.markingaudit.bean.SubjectDataQuery;
import cn.com.qmth.markingaudit.bean.SubjectDataVo;

public interface MonitorDao {

    List<ExamDataVo> examData(@Param("req") ExamDataQuery req);

    List<StudentDataVo> studentData(@Param("req") StudentDataQuery req);

    Integer getExamIdByIdAndSchoolCode(@Param("examId") Integer examId, @Param("schoolCode") String schoolCode);

    List<QuestionDataVo> questionData(@Param("req") QuestionDataQuery req);

    List<SubjectDataVo> subjectData(@Param("req") SubjectDataQuery req);

    List<MarkingScoreDataVo> markingScoreData(@Param("req") MarkingScoreDataQuery req);

    List<MarkingScoreInfo> markingScoreInfo(@Param("ids") List<Integer> ids);

    List<MarkingScoreOperateInfo> markingScoreOperateInfo(@Param("ids") List<Integer> ids);

    List<InspectDataVo> inspectData(@Param("req") InspectDataQuery req);

    List<InspectDataInfo> inspectDataInfo(@Param("ids") List<Integer> ids);

    List<RejectDataVo> rejectData(@Param("req") RejectDataQuery req);

    List<ScoreDataVo> scoreData(@Param("req") ScoreDataQuery req);

    Integer getSchoolId(@Param("schoolCode") String schoolCode);

    List<LoginDataVo> loginData(@Param("req") LoginDataQuery req);

    AkInfo getAk(@Param("schoolCode") String schoolCode);

}
