package cn.com.qmth.markingaudit.service;

import java.util.List;

import cn.com.qmth.markingaudit.bean.AkInfo;
import cn.com.qmth.markingaudit.bean.ExamDataQuery;
import cn.com.qmth.markingaudit.bean.ExamDataVo;
import cn.com.qmth.markingaudit.bean.InspectDataQuery;
import cn.com.qmth.markingaudit.bean.InspectDataVo;
import cn.com.qmth.markingaudit.bean.LoginDataQuery;
import cn.com.qmth.markingaudit.bean.LoginDataVo;
import cn.com.qmth.markingaudit.bean.MarkingScoreDataQuery;
import cn.com.qmth.markingaudit.bean.MarkingScoreDataVo;
import cn.com.qmth.markingaudit.bean.QuestionDataQuery;
import cn.com.qmth.markingaudit.bean.QuestionDataVo;
import cn.com.qmth.markingaudit.bean.RejectDataQuery;
import cn.com.qmth.markingaudit.bean.RejectDataVo;
import cn.com.qmth.markingaudit.bean.ScoreDataQuery;
import cn.com.qmth.markingaudit.bean.ScoreDataVo;
import cn.com.qmth.markingaudit.bean.StudentDataQuery;
import cn.com.qmth.markingaudit.bean.StudentDataVo;
import cn.com.qmth.markingaudit.bean.SubjectDataQuery;
import cn.com.qmth.markingaudit.bean.SubjectDataVo;

/**
 * 类注释
 */
public interface MonitorService {

    List<ExamDataVo> examData(ExamDataQuery req);

    List<StudentDataVo> studentData(StudentDataQuery req);

    List<SubjectDataVo> subjectData(SubjectDataQuery req);

    List<QuestionDataVo> questionData(QuestionDataQuery req);

    List<MarkingScoreDataVo> markingScoreData(MarkingScoreDataQuery req);

    List<InspectDataVo> inspectData(InspectDataQuery req);

    List<RejectDataVo> rejectData(RejectDataQuery req);

    List<ScoreDataVo> scoreData(ScoreDataQuery req);

    List<LoginDataVo> loginData(LoginDataQuery req);

    AkInfo getAk(String schoolCode);

}
