package cn.com.qmth.markingaudit.support;

import org.checkerframework.checker.index.qual.NonNegative;
import org.springframework.lang.NonNull;

import com.github.benmanes.caffeine.cache.Expiry;

public class CaffeineExpiry implements Expiry<String, Object> {

    @Override
    public long expireAfterCreate(@NonNull String key, @NonNull Object value, long currentTime) {
        return 0;
    }

    @Override
    public long expireAfterUpdate(@NonNull String key, @NonNull Object value, long currentTime,
            @NonNegative long currentDuration) {
        return currentDuration;
    }

    @Override
    public long expireAfterRead(@NonNull String key, @NonNull Object value, long currentTime,
            @NonNegative long currentDuration) {
        return currentDuration;
    }
}